Đến nội dung


Hình ảnh

cần giúp đỡ lisp lệnh tắt


  • Please log in to reply
4 replies to this topic

#1 romeo1982

romeo1982

    biết lệnh mirror

  • Members
  • PipPipPip
  • 152 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 01 April 2008 - 03:26 PM

tôi viết líp để tiện sử dụng lệnh tắt như thế này:
(load "acettest.fas")
(c:expresstools)
(defun c:a( ) (command ".array"))
(defun c:aa( ) (command ".align"))
(defun c:r( ) (command ".rectang"))
(defun c:rr( ) (command ".rotate"))
(defun c:d( ) (command ".dimlinear"))
(defun c:dd( ) (command ".dist"))
(defun c:ddd( ) (command ".dimstyle"))
(defun c:dm( ) (command ".dimaligned"))
(defun c:dc( ) (command ".dimcontinue"))
(defun c:c( ) (command ".copy"))
(defun c:li( ) (command ".layiso"))
(defun c:lo( ) (command ".layon"))
(defun c:loo( ) (command ".layoff"))
(defun c:cc( ) (command ".circle"))
(defun c:ee( ) (command ".extend"))
(defun c:et( ) (c:extrim))
(defun c:t( ) (command ".trim"))
(defun c:mm( ) (command ".matchprop")



tại sao lệnh extrim lại phải dùng (c:extrim)) thì ADT2007 mới hiểu, làm sao để hiện bảng dimension style manager( tức là lệnh dimsyle), nhờ các cao thủ chỉ dùm
  • 0

#2 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 01 April 2008 - 04:27 PM

Tôi không rành về lisp, nhưng tôi thấy mặc định lệnh D để gọi dimension style manager mà bạn đặt là (defun c:d( ) (command ".dimlinear")) liệu có ổn không?
  • 0

#3 tranchan

tranchan

    biết lệnh break

  • Members
  • PipPipPipPip
  • 221 Bài viết
Điểm đánh giá: 93 (tàm tạm)

Đã gửi 01 April 2008 - 06:28 PM

tôi viết líp để tiện sử dụng lệnh tắt như thế này:
(load "acettest.fas")
(c:expresstools)
(defun c:a( ) (command ".array"))
(defun c:aa( ) (command ".align"))



tại sao lệnh extrim lại phải dùng (c:extrim)) thì ADT2007 mới hiểu, làm sao để hiện bảng dimension style manager( tức là lệnh dimsyle), nhờ các cao thủ chỉ dùm



Ông bạn này lạm dụng quá , có mấy dòng đó sao ko đổi trong acad.pgp theo cú fáp

lenhtat, *lenhnguyenthuy
vd:
mm, *matchprop. Apply nó cũng dc vậy . Cần gì đem dao mổ trâu giết...1 con gà làm gì hêhề
  • 0

#4 romeo1982

romeo1982

    biết lệnh mirror

  • Members
  • PipPipPip
  • 152 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 03 April 2008 - 10:11 AM

Ông bạn này lạm dụng quá , có mấy dòng đó sao ko đổi trong acad.pgp theo cú fáp

lenhtat, *lenhnguyenthuy
vd:
mm, *matchprop. Apply nó cũng dc vậy . Cần gì đem dao mổ trâu giết...1 con gà làm gì hêhề

tôi làm file này để khi cần sang 1 máy nào đó làm việc bất đắc dĩ ông ạh
  • 0

#5 exitdream

exitdream

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 13 April 2008 - 04:38 PM

Em cũng đang làm Lisp nhưng cũng xin góp ý kiến nhỏ thế này ... Em thấy cách bác đặt film ko hợp lí lắm đặc biệt là các phím LO , LOO ,DM, MM . Khi bác thực hiện thao tác với các phím này thì em nghĩ chắc chắn bác phải nhìn bàn phím rồi vì bàn tay phải di chuyên vị trí ... Theo em tốt nhất bác nên đặt các phím nằm trong bàn tay trái , Ví dụ như : VE, CC ,VV, ER .... đừng đặt sang bàn tai phải với các phím như L,M O, P .... Tuy nó có thể chả liên quan rì đến câu lệnh Ví dụ như bác đặt VV là MOVE ...mới đàu ko quen nhưng về sau khi bác làm sẽ chả cần nhin bàn phismd dau mà < mà đồng nghiệp bác có nhìn cũng chả hiểu bác đang làm rì đâu >
Nhân tiện em xin hỏi cái LAYON, LAYOFF, LAYISO ....trong cad 2007 đã cõ sẵn rồi đúng ko ạ , nhưng em muốn tạo 1 LISP về các cái đó đẻ đem sang máy khác dùng cad 2k4 chẳng hạn thì làm thế nào ạ ..... Em tìm mãi trên diễn đàn chả thấy đâu ..
Có gì ko phải xin phép lượng thứ cho
  • 0
Càng học càng thấy mình còn quá non kém